/*============================================	
  GPreferences.cpp
  
  1996 Michael Stochosky, see BeVGB.doc for
  details.
  ============================================*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif

#ifndef G_APPLICATION_H
#include "GApplication.h"
#endif

#ifndef G_PREFERENCES_H
#include "GPreferences.h"
#endif


// construct
GPreferences::GPreferences(void)
				: BWindow(BRect(0, 0, 320-1, 240-1),\
					"BeVGB settings", B_TITLED_WINDOW,\
					B_CURRENT_WORKSPACE | \
					B_NOT_RESIZABLE | \
					B_NOT_ZOOMABLE )
{
	float			dockwidth;
	
	// move window into place
	if( get_dock_width(&dockwidth) == B_ERROR )
		dockwidth = 70.0;
	MoveTo( dockwidth+10.0, 50.0 );
	
	// get settings
	Open();
	
	// construct preferences panel
	Lock();
	
	//BRect rect = Bounds();
	//rect.OffsetTo(B_ORIGIN);
	//mView = new GView(rect, "GView");
	//AddChild(mView);
	
	Unlock();
	
	// init members
	mOk = true;		// if user closes window save changes
	
	// make window visible
	Show();
}


// process redraw messages
void GPreferences::MessageReceived(BMessage *msg)
{
	switch (msg->what) {
		
		default:
			inherited::MessageReceived(msg);
	}
}


// request to quit
bool GPreferences::QuitRequested()
{
	// write out prefs
	if( mOk == true )
		Close();	// update preferences
	
	return true;
}


// open preferences settings
void GPreferences::Open()
{

}


// save preferences to disk
void GPreferences::Close()
{

}