/*============================================	
  GBitmap.cpp
  
  1996 Michael Stochosky, see BeVGB.doc for
  details.
  ============================================*/

#ifndef G_BITMAP_H
#include "GBitmap.h"
#endif


GBitmap::GBitmap(BBitmap *bmp, BRect frame, BRect source)
				: BBitmap(frame, bmp->ColorSpace(), true)
{	
	BView *view = new BView(frame, "bitmap", B_FOLLOW_ALL, 0);
	AddChild(view);
	
	// draw bitmap
	Lock();
	view->DrawBitmap(bmp, source, frame);
	view->Sync();
	Unlock();
	
	// kill view
	RemoveChild(view);
	delete view;
}